Subject: Re: bug#73386: [PATCH] Fix keybinding support for *-auto-reveal

From: Arash Esbati <[email-masked]>
Date: Wed, 25 Sep 2024 09:21:31 +0200

Hi Paul,

Paul Nelson <[email-masked]> writes:

> I just realized that my earlier patch
> 8db1e90b6d25beb72b5ebbc706b6def64794dcf8 broke key-binding support for
> auto-reveal (i.e., using left/right rather than C-f/b to open previews
> and folds).  The attached patch remedies this.  Details below.

Thanks.  I have one question: Is it possible to set the LEXICAL argument
of `eval' to t?

,----[ C-h f eval RET ]
| eval is a primitive-function in ‘C source code’.
| 
| (eval FORM &optional LEXICAL)
| 
| Evaluate FORM and return its value.
| If LEXICAL is ‘t’, evaluate using lexical binding by default.
| This is the recommended value.
| 
| If absent or ‘nil’, use dynamic scoping only. 
`----

I didn't test your change, but think it should work as well with my
request.

Best, Arash